%define pkgversion 0.8
Name: x11-data-xkbdata
Epoch: 1
Version: %{pkgversion}
Release: %mkrel 3
BuildArch: noarch
Summary: Alternative xkb data files
URL:   http://www.freedesktop.org/wiki/Software_2fXKeyboardConfig
Group: Development/X11
Source: http://xlibs.freedesktop.org/xkbdesc/xkeyboard-config-%{pkgversion}.tar.bz2 
Source1: xkbd_new_names.pl
Patch0: xkbdata-1.0.1-fixkbd.patch
Patch1: xkbdata-1.0.1-remove_duplicated.patch
Patch2: xkbdata-1.0.1-newkbd.patch
# for compatibility
Patch3: xkbdata-1.0.1-oldkbd.patch
Patch4: xkb-fix_uz.patch
Patch5: xkb-logitech_volumekey_fix.patch
Patch6: xkb-logiink_fix.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: xkbcomp >= 1.0.1
BuildRequires: perl-XML-Parser

%description
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%prep
%setup -q -n xkeyboard-config-%{pkgversion}
# Keyboard fixes patches -- pablo
%patch0 -p1 -b .fixkbd
# remove duplicate keyboards from the list
%patch1 -p1 -b .remdup
# New keyboard layouts -- pablo
%patch2 -p1 -b .newkbd
# Some old keyboard names, for compatibility (to remove for 2008) -- pablo
%patch3 -p1 -b .oldkbd
%patch4 -p1 -b .uz_fix
%patch5 -p1 -b .logitech_volume
%patch6 -p1 -b .logiink

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--enable-compat-rules \
    		--with-xkb-base=%{_datadir}/X11/xkb \
    		--disable-xkbcomp-symlink \
    		--with-xkb-rules-symlink=xorg

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_localstatedir}/xkb

%clean
rm -rf %{buildroot}

%pre
# this was a directory in the old installation
if [ -d "%{_datadir}/X11/xkb/compiled" ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files
%defattr(-,root,root)
%dir %{_datadir}/X11/xkb/
%dir %{_localstatedir}/xkb
%{_datadir}/X11/xkb/*


%changelog
* Mon Mar 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.8-3mdv2007.0
+ Revision: 133243
- fix keyboard mapping for logiinkse. (#27235)

* Thu Mar 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:0.8-2mdv2007.1
+ Revision: 130493
- Remove the double definition of XF86RaiseAudioVolume. (#2777)

* Tue Feb 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:0.8-1mdv2007.1
+ Revision: 126338
- add a patch fixing #28918 (Uzbek keyboard layout not standard compliant).
- Bump epoch and use version from xkeyboard-config package

* Thu Nov 02 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.1-6mdv2007.1
+ Revision: 75711
- script to change xorg.conf
- fixed typo error in romanian keyboard (bug #26480)
- removed double definition of LSGT in be layout
- proper directory for includes
- added the tifinagh keyboard (that was lost by error)
- script to fix old xkb names in xorg.conf file

* Thu Aug 31 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.1-5mdv2007.0
+ Revision: 59002
- updated keyboard list
- updated keyboard list

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Add packager tag
    - Check if /usr/share/X11/xkb/compiled is a directory, and if it is, remove
      before creating the symlink
    - Creating the target dir for the /usr/share/X11/xkb/compiled symlink
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - add URL
    - fix description

