#!/usr/bin/perl -pi

################################################
# This script is to rewrite the xorg.conf file
# in order to change old keyboard names with
# the new ones, so the X keyboard continues to
# work even after an update of the rpm package
# (without launching xfdrake)
################################################

my %kbds = (
# 2006
'dvorak' => 'us(dvorak)',
'dvorak(eo)' => 'epo(dvorak)',
'mkd' => 'mk',
'ca' => 'ca(multix)',
'srp(basic)' => 'cs(basic)',
'srp(latin)' => 'cs(latin)',
# 10.2
'ar' => 'ara(digits)',
'ar(digits)' => 'ara(digits)',
'ar(azerty)' => 'ara(azerty)',
'ben' => 'in(ben)',
'ben(probhat)' => 'in(ben_probhat)',
'bs' => 'ba',
'cz_qwerty' => 'cz(qwerty)',
'de_CH' => 'ch(de)',
'dev' => 'in(deva)',
'dvorak(fr)' => 'fr(dvorak)',
'dvorak(gb)' => 'gb(dvorak)',
'dvorak(no)' => 'no(dvorak)',
'dvorak(pl)' => 'pl(dvorak)',
'dvorak(se)' => 'se(dvorak)',
'dz' => 'bt',
'fr_CH' => 'ch(fr)',
'ge_ru' => 'ge(ru)',
'ge_la' => 'ge(la)',
'el(extended)' => 'gr(extended)',
'el(polytonic)' => 'gr(polytonic)',
'guj' => 'in(guj)',
'gur' => 'in(guru)',
'il_phonetic' => 'il(phonetic)',
'iu' => 'ca(ike)',
'kan' => 'in(kan)',
'ku' => 'kur',
'ky' => 'kg(direct)',
#'la' => 'latam',  # only if locale != lo_LA
'lo' => 'la',
'lt_a' => 'lt(lt_a)',
'lt_std' => 'lt(std)',
'lt_p' => 'lt(phonetic)',
'lt' => 'lt(us)',
'ml(mlplusnum)' => 'in(mal)',
'mng' => 'mn',
'mt_us' => 'mt(us)',
'ori' => 'in(ori)',
'pl2' => 'pl(qwertz)',
'ps' => 'pus',
'ca_enhanced' => 'ca(multix)',
'ro(us_ro)' => 'ro(us)',
'sapmi(sefi)' => 'se(smi)',
'sapmi' => 'no(smi)',
'sd' => 'snd(digits)',
'sin' => 'lk',
'sk_qwerty' => 'sk(qwerty)',
'sr' => 'cs(basic)',
'yu' => 'cs(latin)',
'syr_phonetic' => 'sy(syc_phonetic)',
'syr' => 'sy(syc)',
'tel' => 'in(tel)',
'tml(INSCRIPT)' => 'in(tam)',
'tml(UNI)' => 'in(tam_unicode)',
'th_tis' => 'th(tis)',
'th_pat' => 'th(pat)',
'tg' => 'tj',
'tk' => 'tm',
'tr(tr_f)' => 'tr(f)',
'ur' => 'urd',
'us_intl' => 'us(alt-intl)',
'en_US' => 'us',
'vn(toggle)' => 'vn',
);

my $matching = join('|', keys %kbds);
# keys must be quoted so that the regexp match
$matching =~ s/([()])/\\\1/g;

s/\b($matching)([",])/$kbds{$1}$2/g if /^\s*Option\s*"XkbLayout"/i;

